---
title: "Get Sub-Account by ID"
slug: "get-sub-account-by-id"
updated: 2026-02-25T13:56:58Z
published: 2026-02-25T13:57:17Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sub-Account by ID

Get/v1/sub-accounts/{subAccountId}

Read a specific sub-account by ID.

SecurityHTTPType basic

HTTP Basic Authentication using your WACM username and API key.

For detailed authentication instructions, see the [Authentication Guide](https://docs.wasabi.com/apidocs/wacm-connect-api-authentication).

Path parameterssubAccountIdintegerRequired

Sub-Account ID

Query parametersincludeDeletedboolean

Include if sub-account is deleted

includeKeysboolean

Include access and secret keys in response

Responses200

Successfully retrieved sub-account

<select class='api-response-data' aria-label='Media type'><option value='731c6878-a9e0-41f5-beb8-2782ed2ea829'>application/json</option>
</select>

```json
{
  "success": "True",
  "data": {
    "id": "54321",
    "name": "Sample Sub-Account",
    "partnerType": "SUB_ACCOUNT",
    "accountType": "Company",
    "status": "PAID_ACCOUNT",
    "creationDate": "2023-05-20T09:00:00Z",
    "address1": "789 Pine St",
    "city": "Seattle",
    "state": "Washington",
    "country": "United States",
    "zip": "98101",
    "contactEmail": "contact@example.com",
    "billingEmail": "billing@example.com",
    "ssoEnabled": "False",
    "storageQuotaType": "Soft quota",
    "accessKey": "AKIAIOSFODNN7EXAMPLE",
    "secretKey": "wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY",
    "channelAccountId": "53211",
    "channelAccountName": "Sample Channel Account",
    "controlAccountId": "13337",
    "controlAccountName": "Sample Control Account",
    "governanceAccountId": "3214",
    "governanceAccountName": "Sample Governance",
    "wasabiAccountNumber": "100123456",
    "wasabiAccountName": "sample@example.com",
    "sendPasswordResetToSubAccount": "False",
    "ftpEnabled": "True",
    "activeStorage": "0.45",
    "deletedStorage": "0.05",
    "purchasedStorageTB": "2",
    "mfaEnabled": "False"
  }
}
```

Expand Allobject  successboolean    
dataobject (SubAccountResponse)  idinteger    
namestring    
partnerTypestring    
accountTypestring    
statusstring    
imageUrlstring   | null  
creationDatestring  (date-time)    
address1string    
address2string    
countrystring    
citystring    
statestring    
zipstring    
mainPhonestring    
billingPhonestring    
contactEmailstring    
billingEmailstring    
businessNumberstring    
taxIdstring    
fiscalNumberstring    
vatNumberstring    
websitestring    
ssoEnabledboolean    
storageQuotaTypestring    
accessKeystring    
secretKeystring    
channelAccountIdinteger    
channelAccountNamestring    
channelAccountEmailstring    
controlAccountIdinteger    
controlAccountNamestring    
controlAccountEmailstring    
governanceAccountIdinteger    
governanceAccountNamestring    
wasabiAccountNumberinteger    
wasabiAccountNamestring    
sendPasswordResetToSubAccountboolean    
ftpEnabledboolean    
activeStoragenumber    
deletedStoragenumber    
trialQuotaTBinteger    
trialExpirationstring    
purchasedStorageTBnumber    
mfaEnabledboolean
